MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024904Open CASCADE[OCCT] OCCT:Visualizationpublic2014-05-06 18:162019-05-19 16:26
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024904: Visualization - Integration of VIS component
DescriptionThis issue includes preparation of VIS component sources for publication as a part of OCCT. In particular, VTK-based non-regression tests for VIS component should be added to the OCCT test system.

In addition, this issue includes modification of WOK and OCCT build environment in order to introduce optional dependency on VTK. If VTK support is disabled, VIS packages should be excluded from build.

This issue is derived from old issue 0022877, to separate integration from quite long development history.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0030520closedapn Open CASCADE VIS - IVtkTools_ShapePicker::GetPickPosition() returns incorrect point 
parent of 0030680closedbugmaster Community VIS - IVtkOCC_ShapeMesher displays Isoline wrong 
related to 0022877closedbugmaster Open CASCADE Draw Harness - add plugin for VIS component 
related to 0024993closedbugmaster Open CASCADE Adding VTK support to WOK 
related to 0022852closedbugmaster Open CASCADE Compiler errors IVtk_IdType definition 
related to 0022853closedbugmaster Open CASCADE Unification of IVtk_ICamera API 
related to 0022854closedbugmaster Open CASCADE Helper methods in IVtkTools package 
related to 0022855closedbugmaster Open CASCADE Strange result type of IVtkTools_ShapePicker method 
related to 0022856closedbugmaster Open CASCADE Missing selection modes to be added to IVtk_SelectionMode 
related to 0022857closedbugmaster Open CASCADE Method to activate selection mode for a given IVtk_IShape 
related to 0022858closedbugmaster Open CASCADE API to get activated selection modes for IVtk_IShape 
related to 0022860closedbugmaster Open CASCADE VIS sample: add toolbar buttons for missing selection modes 
related to 0022861closedbugmaster Open CASCADE VIS sample: no button for HLR 
related to 0022862closedbugmaster Open CASCADE VIS sample: rectangle selection bug 
related to 0022895closedbugmaster Open CASCADE Wrong display mode is used for highlighting (always use wireframe) 
related to 0022896closedbugmaster Open CASCADE Highlight selected object on click without mouse moving 
related to 0022901closedbugmaster Open CASCADE Low performance of IVtkTools_DisplayModeFilter 
related to 0022859closedbugmaster Open CASCADE Developers guide with code samples 

-  Notes
(0029286)
aba (developer)
2014-05-12 17:35

Patches for OCC and WOK were moved from CR22877_1 branches to CR24904 in Open CASCADE and WOK git repositories.
(0029741)
aba (developer)
2014-06-09 12:31

The git branch CR24904_1 was added.

Patch in the CR24904_1 consists VIS component that includes:
-IVtk, IVtkOCC, IVtkVTK, IVtkTools packages in TKIVtk toolkit.
(0029744)
aba (developer)
2014-06-09 12:39

Dear san,

please review the branch CR24904_1.
(0029752)
kgv (developer)
2014-06-09 17:14

- Compilation errors on Linux were corrected.
- TKIVtk is not generated and built if VTK prerequisite is not found.
- Got rid of warnings in TKIVtk. style corrections.

This messages are useless, since this is first integration of this component.
Please add to commit message short description of new component - its purpose and main capabilities.

+//  IShape : Interface for working with a shape and its sub-shapes ids.
+//  File   : IVtk_IShape.h
+//  Author : Roman KOZLOV
+//  Module : IVtk
+//  $Header: $

Please remove files from redundant comments ($Header, File, Module), merge useful ones (Author) with file header in the usual way for OCCT sources.

+#include "IVtk_Interface.hxx"
+#include "IVtk_Types.hxx"

This is wrong inclusion semantic for public headers in OCCT framework - use <header.hxx> instead.

+//! @class IVtk_IShape 
+//! @brief Interface for working with a shape and its sub-shapes ids.
+//! @ingroup interfaces
...
+//! @defgroup occimpl IVtkOCC

I'm not sure that @ingroup is valid for OCCT documentation.
Please check proper documentation generation for OCCT within this patch.

+  Standard_EXPORT IVtk_IdType GetId() const { return myId; }
+
+  Standard_EXPORT void SetId (IVtk_IdType theId) { myId = theId; }

Please remove Standard_EXPORT from all inline methods.

+  if (!(theShape.IsNull()))
+  {
...
+  if (!(thePointIds->IsEmpty()))
+  {

Please remove redundant braces.

+class IVtk_IShapePickerAlgo : public IVtk_Interface
+{
...
+  Standard_EXPORT virtual void SetView (IVtk_IView::Handle& theView) = 0;

This is inconsistent to push not-constant handle to the method when handle (not the object) is not expected to be modified.

+  Standard_EXPORT virtual bool Pick (const double& theX, const double& theY) = 0;
+  Standard_EXPORT virtual bool Pick (const double& theXMin,
+                                     const double& theYMin,
+                                     const double& theXMax,
+                                     const double& theYMax) = 0;

This is inconsistent to put double by reference.

+  //! @return the list of picked top-level shape IDs,
+  //! in the order of increasing depth (the ID of the shape closest to the eye 
+  //! is the first in the list)
+  Standard_EXPORT virtual IVtk_ShapeIdList ShapesPicked () const;
+
+  //! @param [in] theId Top-level shape ID
+  //! @return the list of picked sub-shape IDs for the given top-level shape ID,
+  //! in the order of increasing depth (the ID of the sub-shape closest to the eye 
+  //! is the first in the list)
+  Standard_EXPORT virtual IVtk_ShapeIdList SubShapesPicked (const IVtk_IdType theId) const;

Here and in other places - this is broken by design to return collection copy each time. Are all use cases expected to return only negligible small lists?

+  //! Converts 3D display coordinates into 3D world coordinates.
+  //! @param [in] theDisplayPnt array of two double display coordinates
+  //! @param [out] theWorldPnt array of three double world coordinates (memory should be allocated by 
the caller!)
+  //! @return true if conversion was successful, false otherwise
+  Standard_EXPORT virtual bool    DisplayToWorld (double* theDisplayPnt, double* theWorldPnt) const 
= 0;

Why points are passed as arrays of unknown size? Please use appropriate types (gp_XYZ or Graphic3d_Vec3d) instead. The same is true for other methods of IVtk_IView class.

+class IVtk_Interface : public MMgt_TShared

Inheritance from MMgt_TShared looks redundant - please use Standard_Transient instead.

+struct IVtk_Pnt2d
+{
+  double x;
+  double y;
+};

What for one more duplicate for gp_XY, Graphic3d_Vec2d?

+#ifndef IVtkOCC_H
+#define IVtkOCC_H
+
+//! @defgroup occimpl IVtkOCC
+
+#define qDebug() cout
...
+        qDebug() << "Error: EntityOwner having null SelectableObject picked!";

Debug messages are not expected to be printed within release mode (and unwelcome by customers in debug mode as well). Also qDebug looks not domain-specific and should not be defined globally in header.
Useful messages might be printed using Message_Messenger interface.

+IVtkOCC_SelectableObject::IVtkOCC_SelectableObject (const IVtkOCC_Shape::Handle& theShape)
+: SelectMgr_SelectableObject (PrsMgr_TOP_AllView),
+  myShape (theShape)
+{
+  if (myShape)
+  {
+    myShape->SetSelectableObject (this);
+  }

Note that this NULL-check syntax will work only in current master, but not in OCCT6.7.1. It is more convenient to use .IsNull().

+const TopoDS_Shape& IVtkOCC_Shape::GetSubShape (const IVtk_IdType theId) const
+{
+  if (theId < 0)
+  {
+    return myTopoDSShape;
+  }

Since IVtk_IdType is unsigned - negative check will NEVER work here.

+
+IVtkOCC_Shape::IVtkOCC_Shape (const TopoDS_Shape& theShape)
+: myTopoDSShape (theShape)
+{
+  buildSubShapeIdMap();
+}
+
+IVtkOCC_Shape::~IVtkOCC_Shape() { }

Standard documentation blocks are missing.

+Standard_Real IVtkOCC_ShapeMesher::GetDeflection() const
+{
+  if (myDeflection == 0.0)
...
+void IVtkOCC_ShapeMesher::meshShape()
+{
+  Standard_Real aDeflection = GetDeflection();
+  if (aDeflection == 0.0)
+  {
+    return;
+  }
...
+void IVtkOCC_ShapeMesher::addWireFrameFaces()
+{
+  // Check the deflection value once for all faces
+  if (GetDeflection() == 0.0)
+  {
+    return;
+  }

Testing double for equality is bad style. Should not be here myDeflection < Precision::Confusion()?

+      IVtkOCC_ShapeMesher* aThisMesher = const_cast<IVtkOCC_ShapeMesher*> (this);

Why not declare myDeflection as mutable?

+      // This magic line comes from AIS_Shape.cxx in OCCT 6.5.1
+      aThisMesher->myDeflection = Max (aMaxX - aMinX, Max (aMaxY - aMinY, aMaxZ - aMinZ) )
+                                  * GetDeviationCoeff() * 4;

It would be better to share "magic" code in AIS_Shape::GetDeflectio(), instead of copying it...

+    // Enable parallel mode of meshing if required
+    Standard_Boolean wasParallel = BRepMesh_IncrementalMesh::IsParallelDefault();
+    if ( myIsParallel && !wasParallel )
+    {
+      BRepMesh_IncrementalMesh::SetParallelDefault(Standard_True);
+    }

It looks... broken to change global flag.

+void IVtkOCC_ShapeMesher::processPolyline (Standard_Integer          theNbNodes,
+                                      const TColgp_Array1OfPnt&      thePoints,
+                                      const TColStd_Array1OfInteger& thePointIds,
+                                      const IVtk_IdType              theOcctId,
+                                      bool                           theNoTransform,
+                                      gp_Trsf                        theTransformation,
+                                      const IVtk_MeshType            theMeshType)
+{
+  if (theNbNodes < 2)
+  {
+    return;
+  }
+
+  IVtk_PointIdList *aPolyPointIds = new IVtk_PointIdList();

It doesn't look like aPolyPointIds is destroyed somewhere later.

+DEFINE_BASECOLLECTION(OccPolylinesBase,
+                      TColgp_SequenceOfPnt)
+DEFINE_LIST          (OccPolylines,
+                      OccPolylinesBase,
+                      TColgp_SequenceOfPnt)

Types have been defined without package suffix.

+  void PrintSelf (ostream& theOs, vtkIndent theIndent);

Please specify std namespace explicitly where used.
(0030033)
aba (developer)
2014-07-09 15:02

The patch was updated with remarks corrections and pushed in the branch CR24904_3.

Dear san,

please review.
(0030160)
git (administrator)
2014-07-15 14:40

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: c556f1f23cb7f2f41908dbbd4ca2545bee310d41
(0030167)
git (administrator)
2014-07-15 15:18

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: 16ff82ec7b540d465d281f4df43160ec609a5365
(0030245)
san (developer)
2014-07-18 14:54

As agreed with abv, VIS should be migrated to the latest VTK release (6.1.0 as of today) before integration, since VTK 5.10.1 cannot be built with VS2013.

WOK most likely should be adapted for VTK 6.1.0, too.
(0030906)
git (administrator)
2014-08-19 19:05

Branch CR24904_3 has been updated by aba.

SHA-1: 511d7eeaa5217a08cae67b82ef601665fb6b7387


      from 16ff82e TKIVtk remarks:
       new 511d7ee Porting on VTK 6:


Detailed log of new commits:

commit 511d7eeaa5217a08cae67b82ef601665fb6b7387
Author: aba
Date: Tue Aug 19 19:04:57 2014 +0400

    Porting on VTK 6:
    
    - shape source inherits vtkPolyDataAlgorithm now (vtkPolyDataSource was removed form VTK as deprecated functionality).
    - added factory auto-initialization in IVtkVTK_View
    - remove using of deprecated methods of pipeline mechanism.

(0030917)
git (administrator)
2014-08-20 11:44

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: 512475988a0b95cd380b086414e5e4f56a3ca118
(0030918)
git (administrator)
2014-08-20 11:51

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: 249d7edc9ad7143348d41c29f6bdda1609e29bef
(0030921)
aba (developer)
2014-08-20 12:01

The branch CR24904_3 was updated:
patch was ported to VTK 6.1.0 and rebased on current master.

Dear san,

please review.
(0030927)
kgv (developer)
2014-08-20 12:46

Dear Anastasia,

+class Standard_EXPORT IVtkTools_ShapeDataSource : public vtkPolyDataAlgorithm
+class Standard_EXPORT IVtkTools_ShapeObject :  public vtkDataObject
+class Standard_EXPORT IVtkTools_SubPolyDataFilter : public vtkPolyDataAlgorithm

this trick with Standard_EXPORT would not work well when applied to entire class (not just class methods).
Please declare own macros to switch Standard_EXPORT/Standard_IMPORT usage (based on __IVtkOCC_DLL which should be automatically defined for this package by WOK)
(0031020)
git (administrator)
2014-08-21 19:54

Branch CR24904_3 has been updated by aba.

SHA-1: 2e01d6abcaa2ca201f102b609204f6c343e8914c


Detailed log of new commits:

Author: aba
Date: Thu Aug 21 19:54:45 2014 +0400

    Remarks

(0031029)
git (administrator)
2014-08-22 15:16

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: da78c85f533a33d5c62dfcfd9b8443b36961ea56
(0031031)
git (administrator)
2014-08-22 15:23

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: c847dfe3b45691a47a94264c204ecaa0e543f302
(0031032)
aba (developer)
2014-08-22 15:25

Dear kgv,

please review the branch CR24904_3.
(0031041)
kgv (developer)
2014-08-22 17:00

Dear bugmaster,

please test all patches related to integration of VIS component (component itself, Draw plugin / tests, patch for WOK introducing new dependency).
(0031085)
git (administrator)
2014-08-26 12:37

Branch CR24904_3 has been updated by aba.

SHA-1: a74bccc3b51f7475bfbea4ccf0704792c534cfab


Detailed log of new commits:

Author: aba
Date: Tue Aug 26 12:36:57 2014 +0400

    Corrected error.

Author: aba
Date: Tue Jul 15 15:11:06 2014 +0400

    0022877: Implementation of DRAW commands for non-regression testing:
    
    - TKIVtkDraw toolkit provides IVtk packages functionality in DRAW.
    
    - it allows to create VTK interactive view in regular or virtual mode (virtual windows),
      display OCC objects and dump them.
    
    - TKIVtkDraw provides also test commands: ivtlinit, ivtkdisplay, ivtkerase, ivtksetdispmode,
       ivtksetselmode, ivtkmoveto, ivtkselect, ivtkfit, ivtkdump, ivtkbgcolor.

(0031086)
git (administrator)
2014-08-26 12:40

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: 902b8d18f12a098fbe601813b07c349b5c2e7d96
(0031118)
bugmaster (administrator)
2014-08-27 11:16

IR-IR-24904-22887 has been created from CR24904_3 and CR22887_3

Problems:

Compilation on Linux failed
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/IR-24904-22887/job/mnt-IR-24904-22887-master_build_occt_linux/4/parsed_console/ [^]

Testing on windows:
See HTML report
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/IR-24904-22887/job/mnt-IR-24904-22887-master_occt_tests_windows_start/label=windows_test,tests_group=bugs,tests_subgroup=019/ [^]
It seems shapes is not maximize in Viewer.
(0031128)
git (administrator)
2014-08-27 16:28

Branch CR24904_2 has been updated forcibly by aba.

SHA-1: 53cd2ea280bfaf936d519f83a01e6cd404e0bec9
(0031178)
bugmaster (administrator)
2014-08-29 11:58
edited on: 2014-08-29 12:22

IR-IR-24904-22887-1 has been created from CR24904_3 and updated CR22887_3

Problems:

Compilation on Linux and Windows is failed

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/IR-24904-22887-1/job/mnt-IR-24904-22887-1-master_build_occt_linux/2/parsed_console/ [^]

http://jenkins-test-02.nnov.opencascade.com:8080/job/mnt-IR-24904-22887-1-master_build_occt_windows/1/parsed_console/ [^]

(0031188)
git (administrator)
2014-08-29 14:40

Branch CR24904_2 has been updated forcibly by aba.

SHA-1: 657fd219a2649c95da22b8165af2ea054929177f
(0031189)
git (administrator)
2014-08-29 14:45

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: 08041d8f2d3ebff6dcd4c2cc31590ecfc3b46ab9
(0031190)
git (administrator)
2014-08-29 14:46

Branch CR24904_3 has been updated by aba.

SHA-1: 15b3acae73b9dd52d0fb6db36c59368edaa77d12


Detailed log of new commits:

Author: aba
Date: Fri Aug 29 14:46:30 2014 +0400

    Corrected errors after rebase.

(0031206)
bugmaster (administrator)
2014-08-29 18:50

IR-24904-22887-2 has been created from CR24904_3 and CR22887_3

Problems:

Compilation on Linux and Windows is failed

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/IR-24904-22887-2/job/inv-IR-24904-22887-2-master_build_occt_linux_deb/1/parsed_console/ [^]
(0031208)
git (administrator)
2014-08-29 19:39

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: 152e07e033a736c375cbcad01c4dc6868a084221
(0031284)
git (administrator)
2014-09-02 18:05

Branch CR24904_3 has been updated by aba.

SHA-1: 5279a220f88781e0f6f5b98f5520f2d5f78d0b44


Detailed log of new commits:

Author: aba
Date: Tue Sep 2 18:02:28 2014 +0400

    Get rid from warning in SelectMgr_SelectableObject. Removed firendship from SelectMgr_SelectableObject.

(0031528)
git (administrator)
2014-09-09 18:15

Branch CR24904_3 has been updated by aba.

SHA-1: f696dd057dd6957d2d7beb26a62a0def7bf14f2d


Detailed log of new commits:

Author: aba
Date: Tue Sep 9 18:15:08 2014 +0400

    Corrected projector parameters for selection algorithm.

(0031602)
git (administrator)
2014-09-10 20:17

Branch CR24904_3 has been updated by aba.

SHA-1: bdffbe6c291396ab2bf0a92dbc1dd0052250dd48


Detailed log of new commits:

Author: aba
Date: Wed Sep 10 20:17:21 2014 +0400

    Removed unneeded picking algorithm modification.

(0031603)
git (administrator)
2014-09-10 20:20

Branch CR24904_3 has been updated forcibly by aba.

SHA-1: cc30c8a018f4c8069d4ca9dce07a5fc813282f2a
(0032398)
git (administrator)
2014-09-30 11:35

Branch CR24904 has been deleted by inv.

SHA-1: 94314c506969343f8c051b83cf26eb3998318468
(0032399)
git (administrator)
2014-09-30 11:35

Branch CR24904_1 has been deleted by inv.

SHA-1: a78540051fed06b8cfbbb80c4b4e6fed526bbf1f
(0032400)
git (administrator)
2014-09-30 11:35

Branch CR24904_2 has been deleted by inv.

SHA-1: 657fd219a2649c95da22b8165af2ea054929177f
(0032401)
git (administrator)
2014-09-30 11:35

Branch CR24904_3 has been deleted by inv.

SHA-1: cc30c8a018f4c8069d4ca9dce07a5fc813282f2a

- Related Changesets
occt: master 913a4c4a
Timestamp: 2014-09-11 09:34:30
Author: aba
Committer: bugmaster
Details ] Diff ]
0024904: Visualization - Integration of VIS component:

Added new toolkit TKIVtk:
- TKIVtk toolkit includes IVtkVTK, IVtkTools, IVtkOCC, IVtk packages.
- TKIVtk provides OCC interface for VTK library functionality: it allows to use VTK window and event managment for OCC objects (shapes)

Porting on VTK 6:
- shape source inherits vtkPolyDataAlgorithm now (vtkPolyDataSource was removed form VTK as deprecated functionality).
- added factory auto-initialization in IVtkVTK_View
- remove using of deprecated methods of pipeline mechanism.

Get rid from warning in SelectMgr_SelectableObject. Removed firendship from SelectMgr_SelectableObject.

Corrected projector parameters for selection algorithm.

Removed unneeded picking algorithm modification.
mod - adm/UDLIST Diff ] File ]
add - src/IVtk/FILES Diff ] File ]
add - src/IVtk/IVtk_Interface.cxx Diff ] File ]
add - src/IVtk/IVtk_Interface.hxx Diff ] File ]
add - src/IVtk/IVtk_IShape.cxx Diff ] File ]
add - src/IVtk/IVtk_IShape.hxx Diff ] File ]
add - src/IVtk/IVtk_IShapeData.cxx Diff ] File ]
add - src/IVtk/IVtk_IShapeData.hxx Diff ] File ]
add - src/IVtk/IVtk_IShapeMesher.cxx Diff ] File ]
add - src/IVtk/IVtk_IShapeMesher.hxx Diff ] File ]
add - src/IVtk/IVtk_IShapePickerAlgo.cxx Diff ] File ]
add - src/IVtk/IVtk_IShapePickerAlgo.hxx Diff ] File ]
add - src/IVtk/IVtk_IView.cxx Diff ] File ]
add - src/IVtk/IVtk_IView.hxx Diff ] File ]
add - src/IVtk/IVtk_Types.hxx Diff ] File ]
add - src/IVtkOCC/FILES Diff ] File ]
add - src/IVtkOCC/IVtkOCC_SelectableObject.cxx Diff ] File ]
add - src/IVtkOCC/IVtkOCC_SelectableObject.hxx Diff ] File ]
add - src/IVtkOCC/IVtkOCC_Shape.cxx Diff ] File ]
add - src/IVtkOCC/IVtkOCC_Shape.hxx Diff ] File ]
add - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
add - src/IVtkOCC/IVtkOCC_ShapeMesher.hxx Diff ] File ]
add - src/IVtkOCC/IVtkOCC_ShapePickerAlgo.cxx Diff ] File ]
add - src/IVtkOCC/IVtkOCC_ShapePickerAlgo.hxx Diff ] File ]
add - src/IVtkOCC/IVtkOCC_ViewerSelector.cxx Diff ] File ]
add - src/IVtkOCC/IVtkOCC_ViewerSelector.hxx Diff ] File ]
add - src/IVtkTools/EXTERNLIB Diff ] File ]
add - src/IVtkTools/FILES Diff ] File ]
add - src/IVtkTools/IVtkTools.cxx Diff ] File ]
add - src/IVtkTools/IVtkTools.hxx Diff ] File ]
add - src/IVtkTools/IVtkTools_DisplayModeFilter.cxx Diff ] File ]
add - src/IVtkTools/IVtkTools_DisplayModeFilter.hxx Diff ] File ]
add - src/IVtkTools/IVtkTools_ShapeDataSource.cxx Diff ] File ]
add - src/IVtkTools/IVtkTools_ShapeDataSource.hxx Diff ] File ]
add - src/IVtkTools/IVtkTools_ShapeObject.cxx Diff ] File ]
add - src/IVtkTools/IVtkTools_ShapeObject.hxx Diff ] File ]
add - src/IVtkTools/IVtkTools_ShapePicker.cxx Diff ] File ]
add - src/IVtkTools/IVtkTools_ShapePicker.hxx Diff ] File ]
add - src/IVtkTools/IVtkTools_SubPolyDataFilter.cxx Diff ] File ]
add - src/IVtkTools/IVtkTools_SubPolyDataFilter.hxx Diff ] File ]
add - src/IVtkVTK/EXTERNLIB Diff ] File ]
add - src/IVtkVTK/FILES Diff ] File ]
add - src/IVtkVTK/IVtkVTK_CMPLRS.edl Diff ] File ]
add - src/IVtkVTK/IVtkVTK_ShapeData.cxx Diff ] File ]
add - src/IVtkVTK/IVtkVTK_ShapeData.hxx Diff ] File ]
add - src/IVtkVTK/IVtkVTK_View.cxx Diff ] File ]
add - src/IVtkVTK/IVtkVTK_View.hxx Diff ] File ]
mod - src/OS/Visualization.tcl Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cdl Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
add - src/TKIVtk/EXTERNLIB Diff ] File ]
add - src/TKIVtk/FILES Diff ] File ]
add - src/TKIVtk/PACKAGES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-06 18:16 san New Issue
2014-05-06 18:16 san Assigned To => aba
2014-05-06 18:16 san Status new => assigned
2014-05-06 18:18 san Relationship added related to 0022877
2014-05-06 18:19 san Summary Integration of VIS component => Visualization - Integration of VIS component
2014-05-12 17:35 aba Note Added: 0029286
2014-06-09 12:31 aba Note Added: 0029741
2014-06-09 12:39 aba Note Added: 0029744
2014-06-09 12:39 aba Assigned To aba => san
2014-06-09 12:39 aba Status assigned => resolved
2014-06-09 17:14 kgv Note Added: 0029752
2014-06-11 23:07 san Assigned To san => aba
2014-06-11 23:07 san Status resolved => assigned
2014-07-09 15:02 aba Note Added: 0030033
2014-07-09 15:02 aba Assigned To aba => san
2014-07-09 15:02 aba Status assigned => resolved
2014-07-14 15:16 kgv Relationship added related to 0024993
2014-07-15 14:40 git Note Added: 0030160
2014-07-15 15:18 git Note Added: 0030167
2014-07-18 14:54 san Note Added: 0030245
2014-07-18 14:54 san Assigned To san => aba
2014-07-18 14:54 san Status resolved => assigned
2014-08-19 19:05 git Note Added: 0030906
2014-08-20 11:44 git Note Added: 0030917
2014-08-20 11:51 git Note Added: 0030918
2014-08-20 12:01 aba Note Added: 0030921
2014-08-20 12:01 aba Assigned To aba => san
2014-08-20 12:01 aba Status assigned => resolved
2014-08-20 12:46 kgv Note Added: 0030927
2014-08-20 12:46 kgv Assigned To san => aba
2014-08-20 12:46 kgv Status resolved => assigned
2014-08-21 19:54 git Note Added: 0031020
2014-08-22 15:16 git Note Added: 0031029
2014-08-22 15:23 git Note Added: 0031031
2014-08-22 15:25 aba Note Added: 0031032
2014-08-22 15:25 aba Assigned To aba => kgv
2014-08-22 15:25 aba Status assigned => resolved
2014-08-22 17:00 kgv Note Added: 0031041
2014-08-22 17:00 kgv Assigned To kgv => bugmaster
2014-08-22 17:00 kgv Status resolved => reviewed
2014-08-26 12:37 git Note Added: 0031085
2014-08-26 12:40 git Note Added: 0031086
2014-08-27 11:16 bugmaster Note Added: 0031118
2014-08-27 11:16 bugmaster Assigned To bugmaster => aba
2014-08-27 16:28 git Note Added: 0031128
2014-08-29 11:58 bugmaster Note Added: 0031178
2014-08-29 12:22 bugmaster Note Edited: 0031178 View Revisions
2014-08-29 14:40 git Note Added: 0031188
2014-08-29 14:45 git Note Added: 0031189
2014-08-29 14:46 git Note Added: 0031190
2014-08-29 18:50 bugmaster Note Added: 0031206
2014-08-29 18:50 bugmaster Status reviewed => assigned
2014-08-29 19:39 git Note Added: 0031208
2014-09-02 18:05 git Note Added: 0031284
2014-09-09 18:15 git Note Added: 0031528
2014-09-10 20:17 git Note Added: 0031602
2014-09-10 20:20 git Note Added: 0031603
2014-09-11 13:32 bugmaster Status assigned => resolved
2014-09-11 13:32 bugmaster Status resolved => reviewed
2014-09-11 13:32 bugmaster Status reviewed => tested
2014-09-15 11:14 bugmaster Changeset attached => occt master 913a4c4a
2014-09-15 11:14 bugmaster Assigned To aba => bugmaster
2014-09-15 11:14 bugmaster Status tested => verified
2014-09-15 11:14 bugmaster Resolution open => fixed
2014-09-22 13:09 apn Relationship added related to 0022852
2014-09-22 13:10 apn Relationship added related to 0022853
2014-09-22 13:13 apn Relationship added related to 0022854
2014-09-22 13:13 apn Relationship added related to 0022855
2014-09-22 13:14 apn Relationship added related to 0022856
2014-09-22 13:15 apn Relationship added related to 0022857
2014-09-22 13:37 apn Relationship added related to 0022858
2014-09-22 13:37 apn Relationship added related to 0022860
2014-09-22 13:38 apn Relationship added related to 0022861
2014-09-22 13:39 apn Relationship added related to 0022862
2014-09-22 13:39 apn Relationship added related to 0022875
2014-09-22 13:40 apn Relationship added related to 0022895
2014-09-22 13:40 apn Relationship added related to 0022896
2014-09-22 13:41 apn Relationship added related to 0022901
2014-09-29 19:31 aba Relationship added related to 0022859
2014-09-30 11:35 git Note Added: 0032398
2014-09-30 11:35 git Note Added: 0032399
2014-09-30 11:35 git Note Added: 0032400
2014-09-30 11:35 git Note Added: 0032401
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed
2015-03-26 12:45 kgv Relationship added parent of 0025985
2019-02-26 08:24 kgv Relationship added parent of 0030520
2019-05-19 16:26 kgv Relationship added parent of 0030680


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker